Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.programmariabilitativoindividuale.vo.programmariabilitativoindividualeget
Class ProgrammaRiabilitativoIndividualeGetRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.programmariabilitativoindividuale.vo.programmariabilitativoindividualeget.ProgrammaRiabilitativoIndividualeGetRequest

All Implemented Interfaces:
  java.io.Serializable

    public class ProgrammaRiabilitativoIndividualeGetRequest

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `codFiscaleAssistito` Codice fiscale dell'assistito
`private java.lang.String` | `codiceStruttura` Codice identificativo univoco a livello Regionale.
`private java.lang.String` | `codNazionaleASL` Codice nazionale della ASL con cui risultano convenzionate le strutture
`private java.lang.String` | `codTipologiaPRI` Indica la tipologia di programma riabilitativo individuale - 1 prima prescrizione - 2 proroga.
`private java.lang.String` | `cognomeAssistito` Cognome assistito
`private java.lang.String` | `dataFinePeriodoEmissione` Data di fine del periodo di emissione
`private java.lang.String` | `dataInizioPeriodoEmissione` Data di inizio del periodo di emissione
`private java.lang.String` | `nomeAssistito` Nome assistito
`private static long` | `serialVersionUID`
`private java.lang.String` | `statoAvanzamento` Indico lo stato del PRI(non avviato, in atto, concluso).

Constructor Summary
`ProgrammaRiabilitativoIndividualeGetRequest()`

Method Summary
`java.lang.String` | `getCodFiscaleAssistito()`
`java.lang.String` | `getCodiceStruttura()`
`java.lang.String` | `getCodNazionaleASL()`
`java.lang.String` | `getCodTipologiaPRI()`
`java.lang.String` | `getCognomeAssistito()`
`java.lang.String` | `getDataFinePeriodoEmissione()`
`java.lang.String` | `getDataInizioPeriodoEmissione()`
`java.lang.String` | `getNomeAssistito()`
`java.lang.String` | `getStatoAvanzamento()`
`void` | `setCodFiscaleAssistito(java.lang.String codFiscaleAssistito)`
`void` | `setCodiceStruttura(java.lang.String codiceStruttura)`
`void` | `setCodNazionaleASL(java.lang.String codNazionaleASL)`
`void` | `setCodTipologiaPRI(java.lang.String codTipologiaPRI)`
`void` | `setCognomeAssistito(java.lang.String cognomeAssistito)`
`void` | `setDataFinePeriodoEmissione(java.lang.String dataFinePeriodoEmissione)`
`void` | `setDataInizioPeriodoEmissione(java.lang.String dataInizioPeriodoEmissione)`
`void` | `setNomeAssistito(java.lang.String nomeAssistito)`
`void` | `setStatoAvanzamento(java.lang.String statoAvanzamento)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### codNazionaleASL

    private java.lang.String codNazionaleASL

  Codice nazionale della ASL con cui risultano convenzionate le strutture

### codiceStruttura

    @MinOccurs(value=0L)
    private java.lang.String codiceStruttura

  Codice identificativo univoco a livello Regionale. Si tratta di un codice con valori numerici di lunghezza pari a 6 se specificato

### codFiscaleAssistito

    @Facets(pattern="([a-zA-Z]{6}[0-9]{2}[a-zA-Z]{1}[0-9]{2}[a-zA-Z]{1}[0-9]{3}[a-zA-Z]{1})?")
    private java.lang.String codFiscaleAssistito

  Codice fiscale dell'assistito

### cognomeAssistito

    private java.lang.String cognomeAssistito

  Cognome assistito

### nomeAssistito

    private java.lang.String nomeAssistito

  Nome assistito

### codTipologiaPRI

    @MinOccurs(value=0L)
    @Facets(enumeration={"1","2"})
    private java.lang.String codTipologiaPRI

  Indica la tipologia di programma riabilitativo individuale - 1 prima prescrizione - 2 proroga.

### dataInizioPeriodoEmissione

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataInizioPeriodoEmissione

  Data di inizio del periodo di emissione

### dataFinePeriodoEmissione

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataFinePeriodoEmissione

  Data di fine del periodo di emissione

### statoAvanzamento

    @MinOccurs(value=0L)
    @Facets(enumeration={"0","1","2","3"})
    private java.lang.String statoAvanzamento

  Indico lo stato del PRI(non avviato, in atto, concluso). I possibili valori sono: 0 - non avviato; 1 - in atto; 2 - concluso-dimissione; 3 - concluso-proroga.

Constructor Detail

### ProgrammaRiabilitativoIndividualeGetRequest

    public ProgrammaRiabilitativoIndividualeGetRequest()

Method Detail

### getCodNazionaleASL

    public java.lang.String getCodNazionaleASL()

### setCodNazionaleASL

    public void setCodNazionaleASL(java.lang.String codNazionaleASL)

### getCodiceStruttura

    public java.lang.String getCodiceStruttura()

### setCodiceStruttura

    public void setCodiceStruttura(java.lang.String codiceStruttura)

### getCodFiscaleAssistito

    public java.lang.String getCodFiscaleAssistito()

### setCodFiscaleAssistito

    public void setCodFiscaleAssistito(java.lang.String codFiscaleAssistito)

### getCognomeAssistito

    public java.lang.String getCognomeAssistito()

### setCognomeAssistito

    public void setCognomeAssistito(java.lang.String cognomeAssistito)

### getNomeAssistito

    public java.lang.String getNomeAssistito()

### setNomeAssistito

    public void setNomeAssistito(java.lang.String nomeAssistito)

### getCodTipologiaPRI

    public java.lang.String getCodTipologiaPRI()

### setCodTipologiaPRI

    public void setCodTipologiaPRI(java.lang.String codTipologiaPRI)

### getDataInizioPeriodoEmissione

    public java.lang.String getDataInizioPeriodoEmissione()

### setDataInizioPeriodoEmissione

    public void setDataInizioPeriodoEmissione(java.lang.String dataInizioPeriodoEmissione)

### getDataFinePeriodoEmissione

    public java.lang.String getDataFinePeriodoEmissione()

### setDataFinePeriodoEmissione

    public void setDataFinePeriodoEmissione(java.lang.String dataFinePeriodoEmissione)

### getStatoAvanzamento

    public java.lang.String getStatoAvanzamento()

### setStatoAvanzamento

    public void setStatoAvanzamento(java.lang.String statoAvanzamento)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD